## org.eclipse.emf.ocl.types
Interface TypesFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  TypesFactoryImpl

Deprecated. Use the `EcoreFactory` interface, instead.

    @Deprecated
    public interface TypesFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TypesPackage`

Field Summary
`static String` `copyright` Deprecated.
`static TypesFactory` `eINSTANCE` Deprecated. The singleton instance of the factory

Method Summary
`AnyType` `createAnyType()` Deprecated. Returns a new object of class 'Any Type'
`BagType` `createBagType()` Deprecated. Returns a new object of class 'Bag Type'
`BagType` `createBagType(EClassifier elementType)` Deprecated.
`CollectionType` `createCollectionType()` Deprecated. Returns a new object of class 'Collection Type'
`CollectionType` `createCollectionType(CollectionKind kind, EClassifier elementType)` Deprecated.
`CollectionType` `createCollectionType(EClassifier elementType)` Deprecated.
`ElementType` `createElementType()` Deprecated. Returns a new object of class 'Element Type'
`InvalidType` `createInvalidType()` Deprecated. Returns a new object of class 'Invalid Type'
`MessageType` `createMessageType()` Deprecated. Returns a new object of class 'Message Type'
`MessageType` `createMessageType(ENamedElement behavioralFeature)` Deprecated. Creates the type for the messages representing invocation of the specified behavioralFeature.
`OrderedSetType` `createOrderedSetType()` Deprecated. Returns a new object of class 'Ordered Set Type'
`OrderedSetType` `createOrderedSetType(EClassifier elementType)` Deprecated.
`PrimitiveBoolean` `createPrimitiveBoolean()` Deprecated. Returns a new object of class 'Primitive Boolean'
`PrimitiveInteger` `createPrimitiveInteger()` Deprecated. Returns a new object of class 'Primitive Integer'
`PrimitiveReal` `createPrimitiveReal()` Deprecated. Returns a new object of class 'Primitive Real'
`PrimitiveString` `createPrimitiveString()` Deprecated. Returns a new object of class 'Primitive String'
`SequenceType` `createSequenceType()` Deprecated. Returns a new object of class 'Sequence Type'
`SequenceType` `createSequenceType(EClassifier elementType)` Deprecated.
`SetType` `createSetType()` Deprecated. Returns a new object of class 'Set Type'
`SetType` `createSetType(EClassifier elementType)` Deprecated.
`TupleType` `createTupleType()` Deprecated. Returns a new object of class 'Tuple Type'
`TupleType` `createTupleType(List parts)` Deprecated. Creates a tuple type based on tthe specified part descriptions.
`TypeType` `createTypeType()` Deprecated. Returns a new object of class 'Type Type'
`TypeType` `createTypeType(EClassifier type)` Deprecated.
`VoidType` `createVoidType()` Deprecated. Returns a new object of class 'Void Type'
`TypesPackage` `getTypesPackage()` Deprecated. Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eINSTANCE

    static final TypesFactory eINSTANCE

  Deprecated.
  The singleton instance of the factory.

Method Detail

### createBagType

    BagType createBagType()

  Deprecated.
  Returns a new object of class 'Bag Type'.

  Returns:
    a new object of class 'Bag Type'.

### createBagType

    BagType createBagType(EClassifier elementType)

  Deprecated.

### createCollectionType

    CollectionType createCollectionType()

  Deprecated.
  Returns a new object of class 'Collection Type'.

  Returns:
    a new object of class 'Collection Type'.

### createCollectionType

    CollectionType createCollectionType(EClassifier elementType)

  Deprecated.

### createCollectionType

    CollectionType createCollectionType(CollectionKind kind,
                                        EClassifier elementType)

  Deprecated.

### createOrderedSetType

    OrderedSetType createOrderedSetType()

  Deprecated.
  Returns a new object of class 'Ordered Set Type'.

  Returns:
    a new object of class 'Ordered Set Type'.

### createOrderedSetType

    OrderedSetType createOrderedSetType(EClassifier elementType)

  Deprecated.

### createSequenceType

    SequenceType createSequenceType()

  Deprecated.
  Returns a new object of class 'Sequence Type'.

  Returns:
    a new object of class 'Sequence Type'.

### createSequenceType

    SequenceType createSequenceType(EClassifier elementType)

  Deprecated.

### createSetType

    SetType createSetType()

  Deprecated.
  Returns a new object of class 'Set Type'.

  Returns:
    a new object of class 'Set Type'.

### createSetType

    SetType createSetType(EClassifier elementType)

  Deprecated.

### createTupleType

    TupleType createTupleType()

  Deprecated.
  Returns a new object of class 'Tuple Type'.

  Returns:
    a new object of class 'Tuple Type'.

### createTupleType

    TupleType createTupleType(List parts)

  Deprecated.
  Creates a tuple type based on tthe specified part descriptions.

  Parameters:
    `parts` - a list of `TypedElement`s describing the tuple parts
  Returns:
    the new tuple type

### createVoidType

    VoidType createVoidType()

  Deprecated.
  Returns a new object of class 'Void Type'.

  Returns:
    a new object of class 'Void Type'.

### createMessageType

    MessageType createMessageType()

  Deprecated.
  Returns a new object of class 'Message Type'.

  Returns:
    a new object of class 'Message Type'.

### createMessageType

    MessageType createMessageType(ENamedElement behavioralFeature)

  Deprecated.
  Creates the type for the messages representing invocation of the specified behavioralFeature.

  Parameters:
    `behavioralFeature` - either an `EOperation` or an `EClass` representing the received signal
  Returns:
    the message type

### createElementType

    ElementType createElementType()

  Deprecated.
  Returns a new object of class 'Element Type'.

  Returns:
    a new object of class 'Element Type'.

### createInvalidType

    InvalidType createInvalidType()

  Deprecated.
  Returns a new object of class 'Invalid Type'.

  Returns:
    a new object of class 'Invalid Type'.

### createTypeType

    TypeType createTypeType()

  Deprecated.
  Returns a new object of class 'Type Type'.

  Returns:
    a new object of class 'Type Type'.

### createTypeType

    TypeType createTypeType(EClassifier type)

  Deprecated.

### createPrimitiveBoolean

    PrimitiveBoolean createPrimitiveBoolean()

  Deprecated.
  Returns a new object of class 'Primitive Boolean'.

  Returns:
    a new object of class 'Primitive Boolean'.

### createPrimitiveInteger

    PrimitiveInteger createPrimitiveInteger()

  Deprecated.
  Returns a new object of class 'Primitive Integer'.

  Returns:
    a new object of class 'Primitive Integer'.

### createPrimitiveReal

    PrimitiveReal createPrimitiveReal()

  Deprecated.
  Returns a new object of class 'Primitive Real'.

  Returns:
    a new object of class 'Primitive Real'.

### createPrimitiveString

    PrimitiveString createPrimitiveString()

  Deprecated.
  Returns a new object of class 'Primitive String'.

  Returns:
    a new object of class 'Primitive String'.

### createAnyType

    AnyType createAnyType()

  Deprecated.
  Returns a new object of class 'Any Type'.

  Returns:
    a new object of class 'Any Type'.

### getTypesPackage

    TypesPackage getTypesPackage()

  Deprecated.
  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.